Subject: [Simple] Closure on OMA Liaison Statement (was: Liaison Statement from the Open Mobile Alliance)

From: Ben Campbell <[email-masked]>
Date: Thu, 10 Dec 2009 15:45:40 -0600

<as-chair>

From the list discussion so far, I draw the following conclusions:

1) We have consensus to ask IANA to update the published schemas to match the definitions in RFC 4826.

2) Several people objected to adding the schemaLocation attribute. Therefore, we do not have consensus to make this change.

We will draw up a response to the liaison statement very soon, so if you disagree with the above conclusions, please make that known ASAP.

Thanks!

Ben.

On Oct 2, 2009, at 1:12 PM, Ben Campbell wrote:

> (as SIMPLE co-chair)
> 
> OMA sent a liaison statement to the SIMPLE working group. The statement's overview reads as follows:
> 
> "This Liaison Statement reports XML validation problems in the XML schemas that were introduced in RFC 4826 and asks for correction."
> 
> Please read the LS, and send your opinions to the SIMPLE list. A PDF  is available at https://datatracker.ietf.org/documents/LIAISON/file707.pdf
> 
> Thanks!
> 
> Ben.
> _______________________________________________
> Simple mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/simple

---

From: Brian McColgan <[email-masked]>
Date: Wed, 16 Dec 2009 11:03:50 -0500

<as-individual>

Hi Ben,

I do not have an issue 'closing out' the liason statement on behalf of OMA, however IETF still has a problem 'in the large' with respect to identifying the location of XML Schema's to potential implementors.

IETF requires some mechanism (whether it be an ammendment to the RFC draft template) or the supplementary XML Schema template files to provide some indicator of where 'soft copies' of XML Schema's can be found.

To keep the XML guru's from jumping all over this proposal, let me be clear that I am NOT proposing the use of XML Schema syntax to achieve this.  An informative comment, or addition to the RFC draft template (as previously noted) to me would fit the bill perfectly.  Even a boilerplate statement saying (XML Schema's for RFCs may be found in the IANA XML Registry located here -  http://www.iana.org/assignments/xml-registry/schema.html) would be helpful!

As a good 'litmus test' poll a few of your 'implementor buddies' and ask them whether they 'realize' or 'are aware' that XML Schema for RFCs actually exist on IANA.  I would bet money, most will have 'no clue' that RFC XML Schema's exist on IANA's web-site.  

I am happy to help in the effort, however I would like for IETF to not lose momentum on a fix, while this subject is still 'fresh' in everyone's collective minds.

Thanks for permitting me to provide comment.

Cheers,

Brian

<Active Netizen>.
 
> From: [email-masked]
> Date: Thu, 10 Dec 2009 15:45:40 -0600
> To: [email-masked]
> Subject: [Simple] Closure on OMA Liaison Statement (was: Liaison Statement from the Open Mobile Alliance)
> 
> <as-chair>
> 
 		 	   		  
_________________________________________________________________
Eligible CDN College & University students can upgrade to Windows 7 before Jan 3 for only $39.99. Upgrade now!
http://go.microsoft.com/?linkid=9691819

---

From: Ben Campbell <[email-masked]>
Date: Wed, 16 Dec 2009 11:17:31 -0600

<as-individual>

Are you familiar with RFC 3688? That RFC defines the XML registry at iana, and points to the IANA assignment page, which links to the XML registry itself. You can also search for the schema URN on the top level IANA page.

I gather you asking to make it easy for automata to find the schema, rather than humans. If that is the case, please note the last paragraph in RFC 3688 section 3.1, which indicates that the registry is not intended for that purpose. One could certainly write code that maps a schema URN into the existing registry structure, but IANA could change that structure at any time.

Thanks!

Ben.

On Dec 16, 2009, at 10:03 AM, Brian McColgan wrote:

> Get Windows 7 for only $39.99-CDN College or University students only. This offer ends Jan 3-upgrade now!_______________________________________________
> Simple mailing list
> [email-masked]

---

From: Brian McColgan <[email-masked]>
Date: Wed, 16 Dec 2009 12:46:23 -0500

<as-individual>

Thanks Ben, I was not familiar with RFC 3688.  

To clarify, I am not asking/referring to automata.  I am referring to individuals who implement RFC's and have a requirement to find/fetch the applicable XML Schema.  That is, to realize a repository exists, and then to navigate to the XML Registry so they can grab soft-copies.  They are then able to make use of those XML Schema's in whatever way is appropriate to them.

I checked my copy of the RFC draft template (i.e. the XML instance document - draft-davies-template-bare.xml) and I don't see it even mentioned by default (i.e. as IETF, and Davies do for 'normative' mappings a-la rfc2119).

I think something like a reference (at the very least a reference to RFC3688 in the draft RFC template) going forward (as is currently done for rfc2119) is the solution to this problem.

Many thanks for the helpful pointers!

BR/Brian.

<Active Netizen>.

Subject: Re: [Simple] Closure on OMA Liaison Statement (was: Liaison Statement from the Open Mobile Alliance)
From: [email-masked]
Date: Wed, 16 Dec 2009 11:17:31 -0600
CC: [email-masked]
To: [email-masked]

<as-individual>

Thanks!

Ben.

<as-individual>
 
Hi Ben,

 

 
 
Cheers,
Brian